Monitors

Authentication
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
Store

API endpoint

POST
https://accrutransfer.accrusoft.com/api/v1/files

Request example

curl --location --request POST 'https://accrutransfer.accrusoft.com/api/v1/files' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--form 'transfer_uuid={transfer_uuid}' \
--form 'uuid={uuid}' \
--form 'part_index={part_index}' \
--form 'total_parts={total_parts}' \
--form 'part={/path/to/file}'

Parameters

Name
Type
Description
transfer_uuid
required string
Transfer UUID.
uuid
required string
UUID.
part_index
required integer
The file part number to be uploaded. Must start with: number.
total_parts
required integer
The total number of file parts.
part
required file
The file part.